/*
 * ExNihilo 3D Engine
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Please read AUTHORS file !!!
 * 
 * $Id: ExCSound.cpp,v 1.9 2002/12/08 17:57:07 data Exp $
 *
 */

#include "ExCSound.h"

#ifndef UNIX_SRC
ExCSound::ExCSound(void)
{
Guard(ExCSound::ExCSound(void))
	SetName("ExCSound");
	SetType(typeid(this).name());
UnGuard
}

ExCSound::ExCSound(char *FileName)
{
Guard(ExCSound::ExCSound(char *FileName))
UnGuard
}

ExCSound::~ExCSound(void)
{
Guard(ExCSound::~ExCSound(void))
UnGuard
}

bool ExCSound::InitCom(void)
{
Guard(ExCSound::InitCom(void))
	return true;
UnGuard
}

bool ExCSound::Load(const char * FileName)
{
Guard(bool ExCSound::Load(const char * FileName))
	return true;
UnGuard
}

void ExCSound::Play(void)
{
Guard(ExCSound::Play(void))
UnGuard
}

void ExCSound::Stop(void)
{
Guard(ExCSound::Stop(void))
UnGuard
}

#endif // UNIX_SRC
